-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- SCHEMA AXIS
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `AXIS` ;
CREATE SCHEMA IF NOT EXISTS `AXIS` DEFAULT CHARACTER SET UTF8 ;

-- -----------------------------------------------------
-- TABLE `AXIS`.`USUARIO`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`USUARIO` (
  `DNI` INT(8) NOT NULL,
  `NOMBRES` NVARCHAR(50) NOT NULL,
  `APELLIDOS` NVARCHAR(50) NOT NULL,
  `DOMICILIO` NVARCHAR(100) NOT NULL,
  `FECHANACIMIENTO` DATE NOT NULL,
  `EDAD` INT(2) NOT NULL,
  `SEXO` NVARCHAR(1) NOT NULL,
  `EMAIL` NVARCHAR(50) NOT NULL,
  `TELEFONO` INT(15) NOT NULL,
  PRIMARY KEY (`DNI`))
ENGINE = INNODB;


-- -----------------------------------------------------
-- TABLE `AXIS`.`DEPARTAMENTO`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`DEPARTAMENTO` (
  `IDDEPARTAMENTO` INT(4) NOT NULL AUTO_INCREMENT,
  `NOMBRE` NVARCHAR(50) NOT NULL,
  `DESCRIPCION` NVARCHAR(50) NULL,
  PRIMARY KEY (`IDDEPARTAMENTO`))
ENGINE = INNODB;


-- -----------------------------------------------------
-- TABLE `AXIS`.`AREA`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`AREA` (
  `IDAREA` INT(4) NOT NULL,
  `NOMBRE` NVARCHAR(50) NOT NULL,
  `DESCRIPCION` NVARCHAR(50) NULL,
  `DEPARTAMENTO_IDDEPARTAMENTO` INT(4) NOT NULL,
  PRIMARY KEY (`IDAREA`),
  INDEX `FK_AREA_DEPARTAMENTO1_IDX` (`DEPARTAMENTO_IDDEPARTAMENTO` ASC),
  CONSTRAINT `FK_AREA_DEPARTAMENTO1`
    FOREIGN KEY (`DEPARTAMENTO_IDDEPARTAMENTO`)
    REFERENCES `AXIS`.`DEPARTAMENTO` (`IDDEPARTAMENTO`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = INNODB;


-- -----------------------------------------------------
-- TABLE `AXIS`.`PUESTOLABORAL`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`PUESTOLABORAL` (
  `IDPUESTOLABORAL` INT(4) NOT NULL AUTO_INCREMENT,
  `NOMBRE` NVARCHAR(50) NOT NULL,
  `DESCRIPCION` NVARCHAR(50) NOT NULL,
  `AREA_IDAREA` INT(4) NOT NULL,
  PRIMARY KEY (`IDPUESTOLABORAL`),
  INDEX `FK_PUESTOLABORAL_AREA1_IDX` (`AREA_IDAREA` ASC),
  CONSTRAINT `FK_PUESTOLABORAL_AREA1`
    FOREIGN KEY (`AREA_IDAREA`)
    REFERENCES `AXIS`.`AREA` (`IDAREA`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = INNODB;


-- -----------------------------------------------------
-- TABLE `AXIS`.`HORARIO`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`HORARIO` (
  `IDHORARIO` INT(4) NOT NULL AUTO_INCREMENT,
  `HORAINICIO` NVARCHAR(5) NOT NULL,
  `HORAFINAL` NVARCHAR(5) NOT NULL,
  PRIMARY KEY (`IDHORARIO`))
ENGINE = INNODB;


-- -----------------------------------------------------
-- TABLE `AXIS`.`EMPLEADO`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`EMPLEADO` (
  `IDEMPLEADO` INT(4) NOT NULL AUTO_INCREMENT,
  `USUARIO_DNI` INT(8) NOT NULL,
  `PUESTOLABORAL_IDPUESTOLABORAL` INT(4) NOT NULL,
  `HORARIO_IDHORARIO` INT(4) NOT NULL,
  `ESTADO` TINYINT(1) NOT NULL,
  PRIMARY KEY (`IDEMPLEADO`),
  INDEX `FK_EMPLEADO_USUARIO_IDX` (`USUARIO_DNI` ASC),
  INDEX `FK_EMPLEADO_PUESTOLABORAL1_IDX` (`PUESTOLABORAL_IDPUESTOLABORAL` ASC),
  INDEX `FK_EMPLEADO_HORARIO1_IDX` (`HORARIO_IDHORARIO` ASC),
  CONSTRAINT `FK_EMPLEADO_USUARIO`
    FOREIGN KEY (`USUARIO_DNI`)
    REFERENCES `AXIS`.`USUARIO` (`DNI`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `FK_EMPLEADO_PUESTOLABORAL1`
    FOREIGN KEY (`PUESTOLABORAL_IDPUESTOLABORAL`)
    REFERENCES `AXIS`.`PUESTOLABORAL` (`IDPUESTOLABORAL`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `FK_EMPLEADO_HORARIO1`
    FOREIGN KEY (`HORARIO_IDHORARIO`)
    REFERENCES `AXIS`.`HORARIO` (`IDHORARIO`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = INNODB;


-- -----------------------------------------------------
-- TABLE `AXIS`.`PUESTOLABORAL_HAS_HORARIO`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `AXIS`.`PUESTOLABORAL_HAS_HORARIO` (
  `PUESTOLABORAL_IDPUESTOLABORAL` INT(4) NOT NULL,
  `HORARIO_IDHORARIO` INT(4) NOT NULL,
  `TURNO` NVARCHAR(10) NOT NULL,
  `DESCRIPCION` NVARCHAR(100) NULL,
  PRIMARY KEY (`PUESTOLABORAL_IDPUESTOLABORAL`, `HORARIO_IDHORARIO`),
  INDEX `FK_PUESTOLABORAL_HAS_HORARIO_HORARIO1_IDX` (`HORARIO_IDHORARIO` ASC),
  INDEX `FK_PUESTOLABORAL_HAS_HORARIO_PUESTOLABORAL1_IDX` (`PUESTOLABORAL_IDPUESTOLABORAL` ASC),
  CONSTRAINT `FK_PUESTOLABORAL_HAS_HORARIO_PUESTOLABORAL1`
    FOREIGN KEY (`PUESTOLABORAL_IDPUESTOLABORAL`)
    REFERENCES `AXIS`.`PUESTOLABORAL` (`IDPUESTOLABORAL`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `FK_PUESTOLABORAL_HAS_HORARIO_HORARIO1`
    FOREIGN KEY (`HORARIO_IDHORARIO`)
    REFERENCES `AXIS`.`HORARIO` (`IDHORARIO`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = INNODB;
